<?php

namespace AutoAdmin\Bundle\Content\Entity;

use AutoAdmin\Bundle\Content\Model\ContactInterface;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

abstract class AbstractContact extends AbstractUntranslated implements ContactInterface
{
    #[ORM\Column(type: Types::BOOLEAN, nullable: false)]
    protected bool $isSpam;

    public function getIsSpam(): bool
    {
        return $this->isSpam;
    }

    public function setIsSpam(bool $spam): self
    {
        $this->isSpam = $spam;

        return $this;
    }
}
